import BaseGenerator from '../base/index.js';
export default class GitGenerator extends BaseGenerator {
    [x: string]: any;
    gitInitialized: boolean;
    skipGit: boolean;
    forceGit: boolean;
    existingRepository: boolean;
    commitMsg: string;
    beforeQueue(): Promise<void>;
    get initializing(): import("../../lib/types/base/tasks.js").GenericTaskGroup<any, import("../../lib/types/base/tasks.js").TaskParamWithControl, "checkGit" | "initializeMonorepository">;
    get preparing(): import("../../lib/types/base/tasks.js").GenericTaskGroup<any, import("../../lib/types/base/tasks.js").TaskParamWithSource<any>, "preparing">;
    get writing(): import("../../lib/types/base/tasks.js").GenericTaskGroup<any, import("../../lib/types/base/tasks.js").TaskParamWithControl, "writeFiles">;
    get postWriting(): import("../../lib/types/base/tasks.js").GenericTaskGroup<any, import("../../lib/types/base/tasks.js").TaskParamWithSource<any>, "initGitRepo">;
    get end(): import("../../lib/types/base/tasks.js").GenericTaskGroup<any, import("../../lib/types/base/tasks.js").TaskParamWithControl, "gitCommit">;
    initializeGitRepository(): Promise<void>;
}
